## redeclipse 1.5.8

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

# Use pkg-config to configure dependencies later
find_package(PkgConfig REQUIRED)
# the dependencies required by all platforms
set(client_deps zlib sdl2 SDL2_image SDL2_mixer gl)

# the client depends on almost all the source files
file(GLOB client_sources engine/*.cpp game/*.cpp shared/*.cpp support/sqlite3.c)

# the server requires less source files
file(GLOB server_sources
    shared/crypto.cpp
    shared/geom.cpp
    shared/stream.cpp
    shared/tools.cpp
    shared/zip.cpp
    support/sqlite3.c
    engine/command.cpp
    engine/irc.cpp
    engine/master.cpp
    engine/server.cpp
    game/server.cpp
)

# genkey is a rather simple application
file(GLOB genkey_sources
    engine/genkey.cpp
    shared/crypto.cpp
)

# neither server nor client need genkey.cpp
# to avoid warnings about duplicate main()s, it has to be removed from their source lists
file(GLOB genkey_cpp_path engine/genkey.cpp)
list(REMOVE_ITEM client_sources ${genkey_cpp_path})
list(REMOVE_ITEM server_sources ${genkey_cpp_path})

# make sure sqlite3 is built with the correct flags
file(GLOB sqlite3_cpp_path support/sqlite3.c)
set_source_files_properties(support/sqlite3.c PROPERTIES
    COMPILE_FLAGS "-DSQLITE_THREADSAFE=0 -DSQLITE_OMIT_LOAD_EXTENSION"
)

# platform specific code
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    list(APPEND client_deps x11)
    link_libraries(rt)
    set(BIN_SUFFIX "_linux")
elseif(APPLE)
    # build OS X specific Objective-C code
    file(GLOB mac_client_sources
        xcode/main.m xcode/macutils.mm
        xcode/SDLmain.m xcode/ConsoleView.m
    )
    file(GLOB mac_server_sources
        xcode/macutils.mm
    )
    list(APPEND client_sources ${mac_client_sources})
    list(APPEND server_sources ${mac_server_sources})
    set(BIN_SUFFIX "_osx")
elseif(MINGW)
    link_libraries(ws2_32 winmm)
    set(BIN_SUFFIX "_windows")
else()
    set(BIN_SUFFIX "_native")
endif()

# configure dependencies with pkg-config
foreach(dep IN LISTS client_deps)
    pkg_check_modules(${dep} REQUIRED ${dep})

    # add the necessary includes
    foreach(include_dir IN LISTS ${dep}_INCLUDE_DIRS)
        include_directories(${include_dir})
    endforeach(include_dir)

    # link to the libraries
    foreach(lib IN LISTS ${dep}_LIBRARIES)
        link_libraries(${lib})
    endforeach(lib)

    # tell the compiler where to find the libraries' binaries
    foreach(lib_dir IN LISTS ${dep}_LIBRARY_DIRS)
        link_directories(${lib_dir})
    endforeach(lib_dir)
endforeach(dep)

# configure enet
set(ENET_SOURCE_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/enet)
add_subdirectory(${ENET_SOURCE_DIRECTORY})

# configure local includes
include_directories(
    ${ENET_SOURCE_DIRECTORY}/include
    ${CMAKE_CURRENT_SOURCE_DIR}/engine
    ${CMAKE_CURRENT_SOURCE_DIR}/game
    ${CMAKE_CURRENT_SOURCE_DIR}/shared
    ${CMAKE_CURRENT_SOURCE_DIR}/support
)

# include the headers for the libraries bundled in ../bin
if(MINGW)
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
endif()

# add the client executable and link it to enet
add_executable(redeclipse${BIN_SUFFIX} ${client_sources})
target_link_libraries(redeclipse${BIN_SUFFIX} enet)

# add the server executable and link it to enet
# (define STANDALONE to "notify" the preprocessor that the server is built this time)
add_executable(redeclipse_server${BIN_SUFFIX} ${server_sources})
target_link_libraries(redeclipse_server${BIN_SUFFIX} enet)
set_target_properties(redeclipse_server${BIN_SUFFIX} PROPERTIES
    COMPILE_FLAGS "-DSTANDALONE"
)

if(APPLE)
    # include framework required in xcode/ code
    find_library(COCOA_LIBRARY Cocoa)
    target_link_libraries(redeclipse${BIN_SUFFIX} ${COCOA_LIBRARY})
    target_link_libraries(redeclipse_server${BIN_SUFFIX} ${COCOA_LIBRARY})
else(APPLE)
    # add the genkey executable
    add_executable(genkey${BIN_SUFFIX} ${genkey_sources})
endif(APPLE)

# install to ../bin/
if(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "i[3-6]86")
	set(ARCHITECTURE "x86")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "x86_64")
	set(ARCHITECTURE "amd64")
else()
    set(ARCHITECTURE "native")
endif()
set(targets redeclipse${BIN_SUFFIX} redeclipse_server${BIN_SUFFIX} genkey${BIN_SUFFIX})
foreach(target IN LISTS targets)
    install(
        TARGETS ${target}
        DESTINATION ${CMAKE_CURRENT_SOURCE_DIR}/../bin/${ARCHITECTURE}/
    )
endforeach()

=== src/Makefile ===
APPNAME=redeclipse
APPCLIENT=$(APPNAME)
APPSERVER=$(APPNAME)_server

#CXXFLAGS= -ggdb3
CXXFLAGS?= -O3 -fomit-frame-pointer -ffast-math
override CXXFLAGS+= -Wall -fsigned-char -fno-exceptions -fno-rtti

PLATFORM= $(shell $(CC) -dumpmachine)

ifeq (,$(PLATFORM_BIN))
ifneq (,$(findstring arm,$(PLATFORM)))
PLATFORM_BIN=arm
else
ifneq (,$(findstring 64,$(PLATFORM)))
PLATFORM_BIN=amd64
else
PLATFORM_BIN=x86
endif
endif
endif

ifeq (,$(INSTDIR))
INSTDIR=../bin/$(PLATFORM_BIN)
endif

TOOLSET_PREFIX=
ifneq (,$(findstring cross,$(PLATFORM)))
ifneq (,$(findstring 64,$(PLATFORM)))
TOOLSET_PREFIX=x86_64-w64-mingw32-
else
TOOLSET_PREFIX=i686-w64-mingw32-
endif
CXX=g++
CC=gcc
endif

CXX_TEMP:=$(CXX)
CC_TEMP:=$(CC)
override CXX=$(TOOLSET_PREFIX)$(CXX_TEMP)
override CC=$(TOOLSET_PREFIX)$(CC_TEMP)

INCLUDES= -I. -Ishared -Iengine -Igame -Ienet/include -Isupport

STRIP=
ifeq (,$(findstring -g,$(CXXFLAGS)))
ifeq (,$(findstring -pg,$(CXXFLAGS)))
	STRIP=strip
endif
endif
STRIP_TEMP:=$(STRIP)
override STRIP=$(TOOLSET_PREFIX)$(STRIP_TEMP)

MV=mv
CP=cp
MKDIR=mkdir -p

ifneq (,$(findstring mingw,$(PLATFORM)))
APPMODIFIER=_windows
BIN_SUFFIX=.exe
WINDRES=windres
WINDRES_TEMP:=$(WINDRES)
WINLIB=lib/$(PLATFORM_BIN)
WINDLL=../bin/$(PLATFORM_BIN)
override WINDRES=$(TOOLSET_PREFIX)$(WINDRES_TEMP)
ifneq (,$(findstring 64,$(PLATFORM)))
override WINDRES+= -F pe-x86-64
else
override WINDRES+= -F pe-i386
endif
STD_LIBS= -static-libgcc -static-libstdc++
CLIENT_INCLUDES= $(INCLUDES) -Iinclude
CLIENT_LIBS= -mwindows $(STD_LIBS) -L$(WINDLL) -L$(WINLIB) -lSDL2 -lSDL2_image -lSDL2_mixer -lzlib1 -lopengl32 -lenet -lws2_32 -lwinmm
else
APPMODIFIER=
ifneq (,$(findstring linux,$(PLATFORM)))
BIN_SUFFIX=_linux
else
ifneq (,$(findstring bsd,$(PLATFORM)))
BIN_SUFFIX=_bsd
else
BIN_SUFFIX=_native
endif
endif
CLIENT_INCLUDES= $(INCLUDES) -I/usr/X11R6/include `sdl2-config --cflags`
CLIENT_LIBS= -Lenet -lenet -L/usr/X11R6/lib -lX11 `sdl2-config --libs` -lSDL2_image -lSDL2_mixer -lz -lGL
endif
ifneq (,$(findstring linux,$(PLATFORM)))
CLIENT_LIBS+= -lrt
else
ifneq (,$(findstring gnu,$(PLATFORM)))
CLIENT_LIBS+= -lrt
endif
endif
CLIENT_OBJS= \
	shared/crypto.o \
	shared/geom.o \
	shared/glemu.o \
	shared/stream.o \
	shared/tools.o \
	shared/zip.o \
	support/sqlite3.o \
	engine/bih.o \
	engine/blend.o \
	engine/blob.o \
	engine/client.o \
	engine/command.o \
	engine/console.o \
	engine/decal.o \
	engine/dynlight.o \
	engine/glare.o \
	engine/grass.o \
	engine/irc.o	\
	engine/lightmap.o \
	engine/main.o \
	engine/master.o \
	engine/material.o \
	engine/menus.o \
	engine/movie.o \
	engine/normal.o \
	engine/octa.o \
	engine/octaedit.o \
	engine/octarender.o \
	engine/physics.o \
	engine/pvs.o \
	engine/rendergl.o \
	engine/rendermodel.o \
	engine/renderparticles.o \
	engine/rendersky.o \
	engine/rendertext.o \
	engine/renderva.o \
	engine/server.o \
	engine/serverbrowser.o \
	engine/shader.o \
	engine/shadowmap.o \
	engine/sound.o \
	engine/texture.o \
	engine/ui.o \
	engine/water.o \
	engine/world.o \
	engine/worldio.o \
	game/ai.o \
	game/client.o \
	game/capture.o \
	game/defend.o \
	game/bomber.o \
	game/entities.o \
	game/game.o \
	game/hud.o \
	game/physics.o \
	game/projs.o \
	game/scoreboard.o \
	game/server.o \
	game/waypoint.o \
	game/weapons.o

CLIENT_PCH= shared/cube.h.gch engine/engine.h.gch

ifneq (,$(findstring mingw,$(PLATFORM)))
SERVER_INCLUDES= -DSTANDALONE $(INCLUDES) -Iinclude
SERVER_LIBS= -mwindows $(STD_LIBS) -L$(WINDLL) -L$(WINLIB) -lzlib1 -lenet -lws2_32 -lwinmm
else
SERVER_INCLUDES= -DSTANDALONE $(INCLUDES)
SERVER_LIBS= -Lenet -lenet -lz
endif
SERVER_OBJS= \
	shared/crypto-standalone.o \
	shared/geom-standalone.o \
	shared/stream-standalone.o \
	shared/tools-standalone.o \
	shared/zip-standalone.o \
	support/sqlite3.o \
	engine/command-standalone.o \
	engine/irc-standalone.o \
	engine/master-standalone.o \
	engine/server-standalone.o \
	game/server-standalone.o

LIBENET= enet/libenet.a

GENKEY_OBJS= engine/genkey.o shared/crypto-standalone.o

all:

default: all

clean-enet:
	$(MAKE) -C enet clean

clean-client:
	@rm -fv $(CLIENT_PCH) $(CLIENT_OBJS) $(APPCLIENT)$(BIN_SUFFIX)

clean-server:
	@rm -fv $(SERVER_OBJS) $(APPSERVER)$(BIN_SUFFIX)

clean-genkey:
	@rm -fv $(GENKEY_OBJS) genkey$(BIN_SUFFIX)

clean: clean-enet clean-client clean-server clean-genkey

%.h.gch: %.h
	$(CXX) $(CXXFLAGS) -x c++-header -o $(subst .h.gch,.tmp.h.gch,$@) $(subst .h.gch,.h,$@)
	$(MV) $(subst .h.gch,.tmp.h.gch,$@) $@

%-standalone.o: %.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $(subst -standalone.o,.cpp,$@)

support/sqlite3.o: support/sqlite3.c
	$(CC) -DSQLITE_THREADSAFE=0 -DSQLITE_OMIT_LOAD_EXTENSION -c -o support/sqlite3.o support/sqlite3.c

$(CLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES)
$(filter shared/%,$(CLIENT_OBJS)): $(filter shared/%,$(CLIENT_PCH))
$(filter engine/%,$(CLIENT_OBJS)): $(filter engine/%,$(CLIENT_PCH))
$(filter game/%,$(CLIENT_OBJS)): $(filter game/%,$(CLIENT_PCH))

$(SERVER_OBJS): CXXFLAGS += $(SERVER_INCLUDES)

$(APPCLIENT)_windows$(BIN_SUFFIX): $(CLIENT_OBJS)
	$(WINDRES) -i $(APPNAME).rc -J rc -o $(APPNAME).res -O coff
	$(CXX) $(CXXFLAGS) -o $@ $(APPNAME).res $(CLIENT_OBJS) $(CLIENT_LIBS)

$(APPSERVER)_windows$(BIN_SUFFIX): $(SERVER_OBJS)
	$(WINDRES) -i $(APPNAME).rc -J rc -o $(APPNAME).res -O coff
	$(CXX) $(CXXFLAGS) -o $@ $(APPNAME).res $(SERVER_OBJS) $(SERVER_LIBS)

$(APPCLIENT)$(BIN_SUFFIX): $(LIBENET) $(CLIENT_OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@ $(CLIENT_OBJS) $(CLIENT_LIBS)

$(APPSERVER)$(BIN_SUFFIX): $(LIBENET) $(SERVER_OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@ $(SERVER_OBJS) $(SERVER_LIBS)

client: $(APPCLIENT)$(APPMODIFIER)$(BIN_SUFFIX)

server: $(APPSERVER)$(APPMODIFIER)$(BIN_SUFFIX)

genkey: genkey$(BIN_SUFFIX)

genkey$(BIN_SUFFIX): $(GENKEY_OBJS)
	$(CXX) $(CXXFLAGS) -o genkey$(BIN_SUFFIX) $(GENKEY_OBJS)

engine/genkey.o: engine/genkey.cpp
	$(CXX) $(CXXFLAGS) $(SERVER_INCLUDES) -c -o engine/genkey.o engine/genkey.cpp

$(INSTDIR)/%$(BIN_SUFFIX): %$(APPMODIFIER)$(BIN_SUFFIX)
	$(MKDIR) $(INSTDIR)
	$(CP) $< $@
ifneq (,$(STRIP))
	$(STRIP) $@
endif

$(INSTDIR)/genkey$(BIN_SUFFIX): genkey$(BIN_SUFFIX)
	$(MKDIR) $(INSTDIR)
	$(CP) $< $@
ifneq (,$(STRIP))
	$(STRIP) $@
endif

install-client: $(INSTDIR)/$(APPCLIENT)$(BIN_SUFFIX)

install-server: $(INSTDIR)/$(APPSERVER)$(BIN_SUFFIX)

install-genkey: $(INSTDIR)/genkey$(BIN_SUFFIX)

ifeq (,$(findstring mingw,$(PLATFORM)))
shared/cube2font.o: shared/cube2font.c
	$(CXX) $(CXXFLAGS) -c -o $@ $< `freetype-config --cflags`

cube2font: shared/cube2font.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@ $< `freetype-config --libs` -lz

install-cube2font: cube2font
	$(MKDIR) $(INSTDIR)
	install -m 755 $< $(INSTDIR)/$<
endif

install: install-client install-server install-genkey

$(LIBENET):
	$(MAKE) -C enet

depend:
	makedepend -Y -I. -Ishared -Iengine -Igame -Isupport $(subst .o,.cpp,$(CLIENT_OBJS))
	makedepend -a -o-standalone.o -Y -I. -Ishared -Iengine -Igame -Isupport -DSTANDALONE $(subst -standalone.o,.cpp,$(SERVER_OBJS))
	makedepend -a -o.h.gch -Y -I. -Ishared -Iengine -Igame -Isupport $(subst .h.gch,.h,$(CLIENT_PCH))

all: client server genkey

include system-install.mk
include dist.mk
include wiki.mk

engine/engine.h.gch: engine/version.h shared/cube.h.gch

# DO NOT DELETE

shared/crypto.o: shared/cube.h shared/tools.h shared/command.h shared/geom.h
shared/crypto.o: shared/ents.h shared/glexts.h shared/glemu.h
shared/crypto.o: shared/iengine.h shared/igame.h
shared/geom.o: shared/cube.h shared/tools.h shared/command.h shared/geom.h
shared/geom.o: shared/ents.h shared/glexts.h shared/glemu.h shared/iengine.h
shared/geom.o: shared/igame.h
shared/glemu.o: shared/cube.h shared/tools.h shared/command.h shared/geom.h
shared/glemu.o: shared/ents.h shared/glexts.h shared/glemu.h shared/iengine.h
shared/glemu.o: shared/igame.h
shared/stream.o: shared/cube.h shared/tools.h shared/command.h shared/geom.h
shared/stream.o: shared/ents.h shared/glexts.h shared/glemu.h
shared/stream.o: shared/iengine.h shared/igame.h
shared/tools.o: shared/cube.h shared/tools.h shared/command.h shared/geom.h
shared/tools.o: shared/ents.h shared/glexts.h shared/glemu.h shared/iengine.h
shared/tools.o: shared/igame.h
shared/zip.o: shared/cube.h shared/tools.h shared/command.h shared/geom.h
shared/zip.o: shared/ents.h shared/glexts.h shared/glemu.h shared/iengine.h
shared/zip.o: shared/igame.h
engine/bih.o: engine/engine.h engine/version.h shared/cube.h shared/tools.h
engine/bih.o: shared/command.h shared/geom.h shared/ents.h shared/glexts.h
engine/bih.o: shared/glemu.h shared/iengine.h shared/igame.h engine/irc.h
engine/bih.o: engine/sound.h engine/world.h engine/octa.h engine/lightmap.h
engine/bih.o: engine/bih.h engine/texture.h engine/model.h
engine/blend.o: engine/engine.h engine/version.h shared/cube.h shared/tools.h
engine/blend.o: shared/command.h shared/geom.h shared/ents.h shared/glexts.h
engine/blend.o: shared/glemu.h shared/iengine.h shared/igame.h engine/irc.h
engine/blend.o: engine/sound.h engine/world.h engine/octa.h engine/lightmap.h
engine/blend.o: engine/bih.h engine/texture.h engine/model.h
engine/blob.o: engine/engine.h engine/version.h shared/cube.h shared/tools.h
engine/blob.o: shared/command.h shared/geom.h shared/ents.h shared/glexts.h
engine/blob.o: shared/glemu.h shared/iengine.h shared/igame.h engine/irc.h
engine/blob.o: engine/sound.h engine/world.h engine/octa.h engine/lightmap.h
engine/blob.o: engine/bih.h engine/texture.h engine/model.h
engine/client.o: engine/engine.h engine/version.h shared/cube.h
engine/client.o: shared/tools.h shared/command.h shared/geom.h shared/ents.h
engine/client.o: shared/glexts.h shared/glemu.h shared/iengine.h
engine/client.o: shared/igame.h engine/irc.h engine/sound.h engine/world.h
engine/client.o: engine/octa.h engine/lightmap.h engine/bih.h
engine/client.o: engine/texture.h engine/model.h
engine/command.o: engine/engine.h engine/version.h shared/cube.h
engine/command.o: shared/tools.h shared/command.h shared/geom.h shared/ents.h
engine/command.o: shared/glexts.h shared/glemu.h shared/iengine.h
engine/command.o: shared/igame.h engine/irc.h engine/sound.h engine/world.h
engine/command.o: engine/octa.h engine/lightmap.h engine/bih.h
engine/command.o: engine/texture.h engine/model.h
engine/console.o: engine/engine.h engine/version.h shared/cube.h
engine/console.o: shared/tools.h shared/command.h shared/geom.h shared/ents.h
engine/console.o: shared/glexts.h shared/glemu.h shared/iengine.h
engine/console.o: shared/igame.h engine/irc.h engine/sound.h engine/world.h
engine/console.o: engine/octa.h engine/lightmap.h engine/bih.h
engine/console.o: engine/texture.h engine/model.h
engine/decal.o: engine/engine.h engine/version.h shared/cube.h shared/tools.h
engine/decal.o: shared/command.h shared/geom.h shared/ents.h shared/glexts.h
engine/decal.o: shared/glemu.h shared/iengine.h shared/igame.h engine/irc.h
engine/decal.o: engine/sound.h engine/world.h engine/octa.h engine/lightmap.h
engine/decal.o: engine/bih.h engine/texture.h engine/model.h
engine/dynlight.o: engine/engine.h engine/version.h shared/cube.h
engine/dynlight.o: shared/tools.h shared/command.h shared/geom.h
engine/dynlight.o: shared/ents.h shared/glexts.h shared/glemu.h
engine/dynlight.o: shared/iengine.h shared/igame.h engine/irc.h
engine/dynlight.o: engine/sound.h engine/world.h engine/octa.h
engine/dynlight.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/dynlight.o: engine/model.h
engine/glare.o: engine/engine.h engine/version.h shared/cube.h shared/tools.h
engine/glare.o: shared/command.h shared/geom.h shared/ents.h shared/glexts.h
engine/glare.o: shared/glemu.h shared/iengine.h shared/igame.h engine/irc.h
engine/glare.o: engine/sound.h engine/world.h engine/octa.h engine/lightmap.h
engine/glare.o: engine/bih.h engine/texture.h engine/model.h
engine/glare.o: engine/rendertarget.h
engine/grass.o: engine/engine.h engine/version.h shared/cube.h shared/tools.h
engine/grass.o: shared/command.h shared/geom.h shared/ents.h shared/glexts.h

=== debian/changelog ===
redeclipse (1.5.8-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Switch back to compat level 9.

 -- Markus Koschany <apo@debian.org>  Wed, 01 Feb 2017 21:25:53 +0100

redeclipse (1.5.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.5.8.

 -- Markus Koschany <apo@debian.org>  Sat, 21 Jan 2017 20:20:10 +0100

redeclipse (1.5.6-2) unstable; urgency=medium

  * Team upload.
  * redeclipse-server: Depend on redeclipse-data because otherwise the server
    won't start.

 -- Markus Koschany <apo@debian.org>  Sat, 08 Oct 2016 19:58:16 +0200

redeclipse (1.5.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.5.6.
  * Switch to compat level 10.
  * debian/watch: Use version=4.

 -- Markus Koschany <apo@debian.org>  Sat, 24 Sep 2016 20:44:37 +0200

redeclipse (1.5.5-2) unstable; urgency=medium

  * Team upload.
  * redeclipse-common: Add Breaks and Replaces to fix dpkg failure on upgrade.
    Thanks to Axel Beckert for the report. (Closes: #835872)

 -- Markus Koschany <apo@debian.org>  Mon, 29 Aug 2016 15:21:11 +0200

redeclipse (1.5.5-1) unstable; urgency=medium

  * Team upload.

  [ Martin Erik Werner ]
  * Use uscan to repack tarball via Files-Excluded in debian/copyright
  * Drop backported patches which are now in new release
    - Delete appdata-Fill-in-remove-FIXMEs.patch
    - Delete appdata-Update-description-screenshots.patch
    - Delete appdata-Upgrade-via-appstream-util.patch
    - Delete appdate-Use-template-set-at-install-name.patch
    - Delete system-install-Add-common-install-target-for-common-.patch
    - Delete system-install-Add-doc-link-for-client-finding-guide.patch
    - Delete system-install-Install-appdata.patch
  * Use prepared tarball instead of github tags.

  [ Markus Koschany ]
  * New upstream release.
  * Build-Depend on libsqlite3-dev and add use-system-sqlite.patch. Remove
    embedded sqlite3 copy and use Debian's system library instead.
  * Remove override for dh_builddeb because xz is the default compression.
  * Switch from SDL1 to SDL2.
  * Drop -dbg packages and use the automatic -dbgsym packages instead.
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-Git: Use https.

 -- Markus Koschany <apo@debian.org>  Sun, 28 Aug 2016 17:11:52 +0200

=== debian/control ===
Source: redeclipse
Section: games
Priority: optional
Uploaders: Martin Erik Werner <martinerikwerner@gmail.com>
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               ed,
               libenet-dev,
               libgl1-mesa-dev | libgl-dev,
               libsdl2-image-dev,
               libsdl2-mixer-dev,
               libsdl2-dev,
               libsqlite3-dev,
               libx11-dev,
               zlib1g-dev | libz-dev
Standards-Version: 3.9.8
Homepage: http://www.redeclipse.net
Vcs-Git: https://anonscm.debian.org/git/pkg-games/redeclipse.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/redeclipse.git

Package: redeclipse
Architecture: any
Depends: redeclipse-common (>= ${source:Upstream-Version}),
         redeclipse-data (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: free, casual arena shooter
 A fun-filled, casual, first person arena shooter, built as a total conversion
 of Cube Engine 2, which lends itself toward a balanced gameplay, with a
 general theme of agility in a variety of environments.
 .
  * Cross-platform multiplayer
  * Features parkour, impulse boosts, dashing, and other tricks
  * Favourite gamemodes with an array of mutators and variables
  * Builtin editor lets you create your own maps cooperatively online

Package: redeclipse-server
Architecture: any
Depends: redeclipse-common (>= ${source:Upstream-Version}),
         redeclipse-data (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: server for the Red Eclipse FPS game
 This package contains the dedicated server for the Red Eclipse FPS game, it
 also includes some example scripts for configuring the server. It contains no
 init integration.

Package: redeclipse-common
Architecture: all
Breaks:
 redeclipse (<< 1.5.5-1)
Replaces:
 redeclipse (<< 1.5.5-1)
Depends: ${misc:Depends}
Description: common config files for the Red Eclipse FPS game
 This package contains the common config files for the server and client of the
 Red Eclipse FPS game.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@ --parallel --sourcedirectory=src

override_dh_auto_clean:
	$(MAKE) -C src/ clean-client clean-server
	rm -rf enet

override_dh_auto_build:
	mkdir -p enet/include
	dh_auto_build -- \
		CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS) -ffast-math" \
		LIBENET="" \
		client server

override_dh_auto_install:
	$(MAKE) -C src/ \
		LIBENET="" \
		DESTDIR=$(CURDIR)/debian/tmp \
		prefix=/usr games=/games gamesbin=/games \
		system-install-client system-install-server \
		system-install-common system-install-docs system-install-menus

override_dh_install:
	dh_install -predeclipse
	dh_install -predeclipse-server
	dh_install -predeclipse-common --exclude=play.cfg

override_dh_compress:
	dh_compress --exclude=.cfg --exclude=guidelines.txt

get-orig-source:
	uscan --noconf --rename --repack --compression xz --force-download --download-current-version --destdir=.

=== debian/watch ===
version=4
opts=filenamemangle=s/_nix//,\
dversionmangle=s/\+ds\d*$//,\
repacksuffix=+ds1 \
  http://redeclipse.net/files/releases/redeclipse_(.+)_nix\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## redeclipse 1.6.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,7 @@
 cmake_minimum_required(VERSION 2.8.11)
+
+# set compile options
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -fomit-frame-pointer -ffast-math -Wall -fsigned-char -fno-exceptions -fno-rtti")
 
 # Use pkg-config to configure dependencies later
 find_package(PkgConfig REQUIRED)

=== debian/changelog ===
redeclipse (1.6.0-3) unstable; urgency=medium

  * Team upload.
  * Apply Multi-Arch: hint
  * Drop ancient Breaks + Replace
  * Drop "Rules-Requires-Root: no": it is not the default
  * Drop obsolete get-orig-source rule
  * Add debian/salsa-ci.yml
  * Document debhelper-compat in d/control
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 06 Dec 2025 01:38:07 +0100

redeclipse (1.6.0-2) unstable; urgency=medium

  * Team upload.
  * Import on Salsa
  * Set "Rules-Requires-Root: no"

  [ Reiner Herrmann ]
  * Update watch file to detect v2.0

 -- Alexandre Detiste <tchet@debian.org>  Tue, 17 Dec 2024 20:52:37 +0100

redeclipse (1.6.0-1) unstable; urgency=medium

  * Team upload.

  [ Martin Erik Werner ]
  * Update source url & exclude files, keep .gitignore
    * Use https://github.com/red-eclipse/base/releases as source in
      copyright file mirroring the watch file.
    * Assuming that src/support/ will only contain embedded library source
      code (currently sqlite3), remove it completely in repacking.
    * Keep .gitignore, since probably more convenient to have than not.
    * Use one glob pattern per line for clarity.
  * Install sql configuration for master server.
    The master server uses the sql configuration in order to build its
    database, so include it in the redeclipse-server package.

  [ Markus Koschany ]
  * New upstream version 1.6.0.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.3.0.

 -- Markus Koschany <apo@debian.org>  Sun, 23 Dec 2018 22:55:55 +0100

redeclipse (1.5.8-2) unstable; urgency=medium

  * Add patch to address build failure with glibc 2.26 (Closes: #887744)
  * Standards-Version 4.1.3
    - Use https for copyright format url
    - Remove debian menu entry
  * Move appdata location from /usr/share/appdata/ to /usr/share/metainfo/

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Fri, 09 Feb 2018 21:11:38 +0100

=== debian/control ===
Source: redeclipse
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Martin Erik Werner <martinerikwerner@gmail.com>,
Build-Depends:
 debhelper-compat (= 11),
 ed,
 libenet-dev,
 libgl-dev,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsqlite3-dev,
 libx11-dev,
 zlib1g-dev | libz-dev,
Standards-Version: 4.7.2
Homepage: http://www.redeclipse.net
Vcs-Git: https://salsa.debian.org/games-team/redeclipse.git
Vcs-Browser: https://salsa.debian.org/games-team/redeclipse

Package: redeclipse
Architecture: any
Depends:
 redeclipse-common (>= ${source:Upstream-Version}),
 redeclipse-data (>= ${source:Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: free, casual arena shooter
 A fun-filled, casual, first person arena shooter, built as a total conversion
 of Cube Engine 2, which lends itself toward a balanced gameplay, with a
 general theme of agility in a variety of environments.
 .
  * Cross-platform multiplayer
  * Features parkour, impulse boosts, dashing, and other tricks
  * Favourite gamemodes with an array of mutators and variables
  * Builtin editor lets you create your own maps cooperatively online

Package: redeclipse-server
Architecture: any
Depends:
 redeclipse-common (>= ${source:Upstream-Version}),
 redeclipse-data (>= ${source:Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: server for the Red Eclipse FPS game
 This package contains the dedicated server for the Red Eclipse FPS game, it
 also includes some example scripts for configuring the server. It contains no
 init integration.

Package: redeclipse-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: common config files for the Red Eclipse FPS game
 This package contains the common config files for the server and client of the
 Red Eclipse FPS game.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 endif
 
 %:
-	dh $@ --parallel --sourcedirectory=src
+	dh $@ --sourcedirectory=src
 
 override_dh_auto_clean:
 	$(MAKE) -C src/ clean-client clean-server
@@ -29,6 +29,7 @@
 		LIBENET="" \
 		DESTDIR=$(CURDIR)/debian/tmp \
 		prefix=/usr games=/games gamesbin=/games \
+		appdatadir=$(CURDIR)/debian/tmp/usr/share/metainfo \
 		system-install-client system-install-server \
 		system-install-common system-install-docs system-install-menus
 
@@ -40,5 +41,3 @@
 override_dh_compress:
 	dh_compress --exclude=.cfg --exclude=guidelines.txt
 
-get-orig-source:
-	uscan --noconf --rename --repack --compression xz --force-download --download-current-version --destdir=.
